﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Dynamicweb.Extensibility;
using System.Diagnostics;
using Dynamicweb.Ecommerce.LiveIntegration.Configuration;
using Dynamicweb.Extensibility.Notifications;

namespace Dynamicweb.Ecommerce.LiveIntegration.NotificationSubscribers
{
    [Subscribe(Dynamicweb.Ecommerce.Notifications.Ecommerce.Cart.Loaded)]
    public class CartLoaded : NotificationSubscriber
    {
        public override void OnNotify(string notification, NotificationArgs args)
        {
            if (!Configuration.Global.IsIntegrationActive)
                return;
            
            var myArgs = (Dynamicweb.Ecommerce.Notifications.Ecommerce.Cart.LoadedArgs)args;
            var order = (myArgs.Cart);
            if ((string.IsNullOrEmpty(Helpers.GetConfigValue(Constants.WebServiceConfiguration.Path, Constants.WebServiceConfiguration.Shop)) ||
    Helpers.GetConfigValue(Constants.WebServiceConfiguration.Path, Constants.WebServiceConfiguration.Shop) == (string)Dynamicweb.Frontend.PageView.Current().Area.EcomShopId)
                && UrlHandler.Instance.IsWebServiceUrlFound())
            {
                OrderHandler.UpdateOrder(order);
            }
        }
    }
}
